D4Science Infrastructure - Incident #3136

From Tabular data lab | move to another VRE, then using the browser "Back" button returns an error
Apr 05, 2016 11:49 AM - Anton Ellenbroek

Status: Closed Start date: Apr 05, 2016
Priority: Normal Due date:

Assignee: Giancarlo Panichi % Done: 100%
Category: Data Management Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

If  am in FAO Tuna Atlas, and use "Go To" to go to another VRE, the use of the back button of the browser results in an error
message such as

"Error retrieving TabularResources: no endpoints found for
org.gcube.resources.discovery.client.queries.impl.XQuery@f6068ae9=declare namespace ic = '
http://gcube-system.org/namespaces/informationsystem/registry'; for $resource in
collection('/db/Profiles/Runninglnstance')//Document/Data/ic:Profile/Resource, $entry in
Sresource/Profile/AccessPoint/Runninglnstancelnterfaces/Endpoint where ($resource/Profile/ServiceClass/text() eq 'DataAnalysis')
and ($resource/Profile/ServiceName/text() eq 'TabularData') and ($resource/Profile/DeploymentData/Status/text() eq 'ready') and
(contains($entry/string(),'tabular-data-manager/tabularresourcemanager')) return $entry/text()

OK"

OR

"Error retrieving TabularResources: com.sun.xml.internal.ws.client.ClientTransportException: The server sent HTTP status code 400:
Bad Request"

Can these errors be prevented?

History

#1 - Apr 12,2016 07:11 PM - Pasquale Pagano
- Tracker changed from Support to Incident
- Category set to Data Management

- Assignee set to Lucio Lelii

#2 - Apr 12,2016 07:18 PM - Lucio Lelii

- Assignee changed from Lucio Lelii to Giancarlo Panichi

this is not possible service side, | will assign this ticket to giancarlo that is the responsible for the portlet. But in my opinion it is not feasible also portlet
side. The back button should be disabled directly from the portal. @massimiliano.assante@isti.cnr.it What do you think ?

#3 - Apr 13, 2016 11:53 AM - Massimiliano Assante

This problem is clear, and is due to the fact that upon back button the server method (in the portlet java) which is supposed to set te Context (scope)
is not called.
To overcome this limitation @g.panichi@isti.cnr.it can use the ClientScopeHelper class as follows:

public void onModuleLoad() {

ClientScopeHelper.getService().setScope(Location.getHref(), new AsyncCallback() {
@Override

public void onSuccess(Boolean result) {

doWhateverYouWereDoing

}

@Override
public void onFailure(Throwable caught) {

}
D;
http://gcube-system.org/namespaces/informationsystem/registry

The class is in

<groupld>org.gcube.portlets.user</groupIld>
<artifactId>gcube-widgets</artifactId>

don't forget to put in your taxman portlet web.xml (clearly replace /$YOUR_SERVLET_URL_PATTERN)

<servlet>
<servlet-name>scopeService</servlet-name>
<servlet-class>org.gcube.portlets.user.gcubewidgets.server.ScopeServicelmpl</servlet-class>
</servlet>

<servlet-mapping>
<servlet-name>scopeService</servlet-name>

<url-pattern>/$YOUR_SERVLET_URL_PATTERN/scopeService</url-pattern>
</servlet-mapping>

#5 - Apr 13, 2016 03:14 PM - Giancarlo Panichi
- Status changed from New to Closed

- % Done changed from 0 to 100

The problem is solved, the fix will be released in gCube3.11.
